Bug 1426390 - Automate Simulation copy to Button doesn't work
Summary: Automate Simulation copy to Button doesn't work
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.10.0
Assignee: Roman Blanco
QA Contact: Ganesh Hubale
URL:
Whiteboard: ui:automate:button
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-23 20:37 UTC by Matouš Mojžíš
Modified: 2019-06-11 11:23 UTC (History)
7 users (show)

Fixed In Version: 5.10.0.15
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:02:18 UTC
Category: Bug
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:02:27 UTC

Description Matouš Mojžíš 2017-02-23 20:37:31 UTC
Description of problem:
GH Issue of half of this problem:https://github.com/ManageIQ/manageiq-ui-classic/pull/175#discussion_r102018852

Also that copy button was hidden and it is not in documentation, so it should be added to docs.

Version-Release number of selected component (if applicable):
5.7.1.3

How reproducible:
Always

Steps to Reproduce:
1.Go to Automate -> Simulation 
2.Fill the form and submit it
2.Go to Automate -> Customizationn -> Buttons
3.There is paste button for it 

Actual results:
When I select paste button nothing happens.

Expected results:


Additional info:

Comment 4 Roman Blanco 2018-08-21 15:17:08 UTC
fixed in https://github.com/ManageIQ/manageiq-ui-classic/pull/4513

Comment 5 CFME Bot 2018-08-22 08:32:39 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:

https://github.com/ManageIQ/manageiq-ui-classic/commit/4dfc0ac953e8c11f9b2bed693a3ffbeb0855d00b
commit 4dfc0ac953e8c11f9b2bed693a3ffbeb0855d00b
Author:     Roman Blanco <rblanco@redhat.com>
AuthorDate: Tue Aug 21 10:40:38 2018 -0400
Commit:     Roman Blanco <rblanco@redhat.com>
CommitDate: Tue Aug 21 10:40:38 2018 -0400

    Enable 'Paste' button if the coppied data are in the session

    Fixes: https://bugzilla.redhat.com/show_bug.cgi?id=1426390

 app/views/shared/buttons/_ab_form.html.haml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 6 Matouš Mojžíš 2018-08-30 15:20:31 UTC
Verified in 5.10.0.12. Copy from Simulation and Paste to Button create works.

Comment 8 Matouš Mojžíš 2018-09-19 10:09:50 UTC
Verified in 5.10.0.15. Copying works only for selected types now. Validation of simulation form is required only for the first time:
https://bugzilla.redhat.com/show_bug.cgi?id=1630800

Comment 10 errata-xmlrpc 2019-02-07 23:02:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.